Skip to main content
GET
JavaScript

Authorizations

X-API-KEY
string
header
required

Headers

Tenant-ID
string

The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. Pass your own internal customer ID for the tenant. Ignored for single-tenant organisations.

Path Parameters

systemId
string<uuid>
required

The UUID of the points system.

id
string<uuid>
required

The UUID of the points boost.

Response

The points boost.

A points boost as returned from admin endpoints.

id
string<uuid>
required

The UUID of the boost.

name
string
required

The name of the boost.

status
enum<string>
required

The status of the boost.

Available options:
active,
scheduled,
finished
start
string<date>
required

The start date (YYYY-MM-DD).

end
string<date> | null
required

The end date (YYYY-MM-DD) or null if no end date.

multiplier
number
required

The points multiplier.

rounding
enum<string>
required

How boosted points are rounded.

Available options:
down,
up,
nearest
userId
string | null
required

The ID of the user the boost was created for, or null for global/attribute-filtered boosts.

userAttributes
object[]

User attribute filters applied to the boost. Only present for non-user-specific boosts (i.e. when userId is null). Empty array if no filters are set.